
% \input{beamer-color}
\lstset{
  captionpos=b,
  xleftmargin=0pt,
  xrightmargin=30pt,
  abovecaptionskip=10pt,
  framexleftmargin=5pt,
  framexrightmargin=5pt,
  framextopmargin=5pt,
  framexbottommargin=0pt,
  escapechar={&},
  alsoletter={&},
  escapechar={\&},
  alsoletter={\&},
  escapechar={_},
  texcl=false,
  alsoletter={_},
  basicstyle=\footnotesize\ttfamily\srcsmallsize,
  keywordstyle=\color{green4},
  keywordstyle=[2]\color{IndianRed3},
  keywordstyle=[3]\color{DarkCyan},
  keywordstyle=[4]\color{DeepPink3},
  backgroundcolor=\color{macouleur2!40},
  rulesepcolor=\color{macouleur2!80},
  identifierstyle=,
  numbers=none,
%  column=fixed,%% XXX keyval package clash
  commentstyle=\color{DarkGreen}\itshape,
  frame=shadowbox,
  escapeinside={$$},%
  showstringspaces=false,
  stringstyle=\color{black}
}
\lstset{language=Java,
  showspaces=false,
  showtabs=false,
  breaklines=true,
  showstringspaces=false,
  breakatwhitespace=true,
  escapeinside='', % pour que '\pause' fonctionne dans les listings
  moredelim=[il][\textcolor{pgrey}]{$$},
  moredelim=[is][\textcolor{pgrey}]{\%\%}{\%\%}
}
\lstdefinelanguage{rif}{%
  morekeywords={inputs, outputs, locals},
  morekeywords=[2]{true,false},
  morekeywords=[3]{},
  morekeywords=[4]{bool,int,real},
  sensitive=false,
  morecomment=[l]{--},
  morecomment=[s]{(*}{*)},
}
\lstdefinelanguage{lutin}{%
  morekeywords={soc,node,returns,include},
  morekeywords=[2]{last,pre,and,or,not,if,then,else,=>},%XXX'=>'?
  morekeywords=[3]{let,tel,assert,exist,run,exception,raise,in,loop,fby,while,try,raise,catch,trap,with,do},
  morekeywords=[4]{bool,int,real},
  sensitive=false,
  morecomment=[l]{--},
  morecomment=[s]{(*}{*)},
}

\lstdefinelanguage{lustre}{%
  morekeywords={node,returns,var,const,let,tel,in},
  morekeywords=[2]{pre,current,when,step,and,or,if,with,then,else,not},%XXX'=>'?
  morekeywords=[4]{bool,int,real},
  sensitive=false,
  morecomment=[l]{--},
  escapeinside='',
  morecomment=[s]{(*}{*)},
}
\lstdefinelanguage{stimulus}{%
  morekeywords={for,in,do,end,with,low,high,lowest,highest,inline,run},
  morekeywords=[2]{pre,last,current,when,step,and,or,if,with,then,else,not},%XXX'=>'?
  morekeywords=[4]{bool,int,real,num},
  sensitive=false,
  morecomment=[l]{--},
  morecomment=[s]{(*}{*)},
}
\lstdefinelanguage{adacstimu}{%
  morekeywords={DEBUT_SCENARIO, FIN_SCENARIO},
  morekeywords=[2]{GEN_MSG, ATTENDRE, CCT},
  morekeywords=[3]{FAUX,VRAI},
  morekeywords=[4]{TOR,ANA,VALUE},
  sensitive=false,
  moredelim=[l][\ttfamily\green]{CC\ },
  morecomment=[l]{CM},
}
\lstdefinelanguage{tuareg}{%
  morekeywords={function,fun,match,try,with,let,in,val,type,and,;;,'=',rec},
  morekeywords=[2]{if,then,else,ref,not,or,+,raise,Exit,Call},%XXX'=>'?
  morekeywords=[3]{option,list,string,unit,bool,int,float},
  morekeywords=[4]{name,kind,next},
  morestring=[b]",
  sensitive=false,
%  texcl=true,
  escapechar={_},
  morecomment=[l]{--},
  morecomment=[s]{(*}{*)},
  escapeinside=''
}


\makeatletter
\newcommand{\srcsize}{\@setfontsize{\srcsize}{4pt}{5pt}}
\newcommand{\srcsmallsize}{\@setfontsize{\srcsize}{7pt}{8pt}}
\makeatother 



\lstdefinelanguage{tinytuareg}{%
  xleftmargin=0pt,
  xrightmargin=0pt,
  abovecaptionskip=0pt,
  framexleftmargin=0pt,
  framexrightmargin=0pt,
  framextopmargin=0pt,
  framexbottommargin=0pt,
  morekeywords={function,fun,match,try,with,let,in,val,type,and,;;,'=',rec},
  morekeywords=[2]{if,then,else,ref,not,or,+,raise},%XXX'=>'?
  morekeywords=[3]{option,list,string,unit,bool,int,float},
  morekeywords=[4]{ct,List,Hashtbl,Not\_found,Filename,Sys},
  morestring=[b]",
%  alsoletters={_},
  otherkeywords={_},
  escapechar={_},
  %  texcl=false,
  sensitive=false,
  basicstyle=\ttfamily\srcsize,
  morecomment=[l]{--},
  morecomment=[s]{(*}{*)},
  escapeinside=''
}
\lstdefinelanguage{smalltuareg}{%
  xleftmargin=0pt,
  xrightmargin=0pt,
  abovecaptionskip=0pt,
  framexleftmargin=0pt,
  framexrightmargin=0pt,
  framextopmargin=0pt,
  framexbottommargin=0pt,
  morekeywords={function,fun,match,try,with,let,in,val,type,and,;;,'=',rec},
  morekeywords=[2]{if,then,else,ref,not,or,+,raise},%XXX'=>'?
  morekeywords=[3]{option,list,string,unit,bool,int,float},
  morekeywords=[4]{ct,List,Hashtbl,Not\_found,Filename,Sys},
  morestring=[b]",
  sensitive=false,
  basicstyle=\ttfamily\srcsmallsize,
  morecomment=[l]{--},
  morecomment=[s]{(*}{*)},
  escapeinside=''
}
\lstdefinelanguage{smallsh}{%
  xleftmargin=0pt,
  xrightmargin=0pt,
  abovecaptionskip=0pt,
  framexleftmargin=0pt,
  framexrightmargin=0pt,
  framextopmargin=0pt,
  framexbottommargin=0pt,
  sensitive=false,
  basicstyle=\ttfamily\srcsmallsize,
  morestring=[b]",
  stringstyle=\ttfamily\color{red!50!brown},
  morecomment=[l]{--},
  morecomment=[s]{(*}{*)},
  escapeinside=''
}



%\lstnewenvironment{rif} {\lstset{language=rif}}  {}
%\lstnewenvironment{lutin} {\lstset{language=lutin}}  {}
%\lstnewenvironment{lustre} {\lstset{language=lustre}}  {}
%\lstnewenvironment{stimulus} {\lstset{language=stimulus}}  {}
%\lstnewenvironment{tuareg} {\lstset{language=tuareg}}  {}
%\lstnewenvironment{tinytuareg} {\lstset{language=tuareg}}  {}



